<template>
    <section class="hero is-primary is-fullheight">
        <div class="hero-body">
            <div class="container">
                <div class="columns is-centered">
                    <div class="column is-5-tablet is-4-desktop is-3-widescreen">
                        <div class="box">
                            <button class="button is-success" @click="login">
                                Login
                            </button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
</template>

<script>
    import {AuthService} from "../services";

    export default {
        name: "Login",
        methods: {
            async login() {
                let res = await AuthService.getAuthenticationUrl()
                let url = res.data
                window.open(url, '_self')
            }
        }
    }
</script>

<style scoped>

</style>
